using System;

public class Program
{    
    public static void Main()
    {
        string[] str = Console.ReadLine().Split();
        int a1 = int.Parse(str[0]);
        int b1 = int.Parse(str[1]);
        str = Console.ReadLine().Split();
        int a = int.Parse(str[0]);
        int b = int.Parse(str[1]);
        Boolean p = a1 == a;
        Boolean d = b1 == b;
        if (p)
        {
            if (d)
            {
                Console.WriteLine("nijedan");
            }
            else
            {
                Console.WriteLine("drugi");
            }
        }
        else 
        {   
            if (d)
            {
                Console.WriteLine("prvi");
            }
            else
            {
                Console.WriteLine("?");
            }
        }
    }
}